# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:           oggvideotools
Version:        0.8
Release:        alt1_20
Summary:        Toolbox for manipulating Ogg video files

Group:          Video
License:        GPLv2+
URL:            http://dev.streamnik.de/oggvideotools.html

Source0:        http://downloads.sourceforge.net/project/oggvideotools/oggvideotools/oggvideotools-0.7b/%{name}-%{version}.tar.gz
Patch0:         oggvideotools-fixbuild.patch

BuildRequires:  libogg-devel libvorbis-devel libtheora-devel libSDL-devel
BuildRequires:	libgd2-devel
Source44: import.info

%description
A toolbox for manipulating Ogg video files, which usually consist of a
video stream (Theora) and an audio stream (Vorbis). It includes a
number of handy command line tools for manipulating these video files,
such as for splitting the different streams.

%prep
%setup -q
%patch0 -p1 -b .fixbuild

%build
autoreconf -vif #BZ926266 - add support for aarch64
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
chmod 644 docs/DocuOggVideoTools.pdf ChangeLog scripts/*


%files
%doc COPYING README ChangeLog docs/DocuOggVideoTools.pdf scripts/*
%{_bindir}/*
%{_mandir}/man1/ogg*

%changelog
* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_20
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_19
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_16
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_15
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_14
- update to new release by fcimport

* Fri Jun 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_13
- update to new release by fcimport

* Wed May 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_12
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_11
- update to new release by fcimport

* Tue Jan 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_10
- update to new release by fcimport

* Wed Jan 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_9
- update to new release by fcimport

* Thu Aug 16 2012 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_8
- new version

